package cz.muni.sutralog.database

import androidx.room.TypeConverter
import cz.muni.sutralog.lib.SutralogStaticLib.Companion.dateToString
import cz.muni.sutralog.lib.SutralogStaticLib.Companion.stringToDate
import java.time.LocalDate

class Converters {
    @TypeConverter
    fun fromDate(date: LocalDate?): String? {
        return dateToString(date)
    }
    @TypeConverter
    fun toDate(date: String?): LocalDate? {
        return stringToDate(date)
    }
}